Skip to main content
PUT
PUT /api/connections/whatsapp/bots/{botId}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

botId
string
required

Body

application/json
enabled
boolean
required
allowedChats
string[] | null
Maximum array length: 200
Maximum string length: 128
Pattern: ^[0-9A-Za-z._:-]{1,100}@(s\.whatsapp\.net|g\.us|lid)$

Response

Success

botId
string<uuid>
required
enabled
boolean
required
allowedChats
string[] | null
required
Maximum array length: 200
Maximum string length: 128
Pattern: ^[0-9A-Za-z._:-]{1,100}@(s\.whatsapp\.net|g\.us|lid)$